Retrieve all Allocations

View as Markdown

Retrieve all Allocations for the org.

The Infrastructure Provider and Tenant are inferred from the org’s membership. User must have authorization role with PROVIDER_ADMIN or TENANT_ADMIN suffix.

Results are returned from both Provider and Tenant perspectives when the org has both roles.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

infrastructureProviderIdstringOptionalformat: "uuid"Deprecated
Filter Allocations by Infrastructure Provider ID.
tenantIdstringOptionalformat: "uuid"
Filter Allocations by Tenant ID.
siteIdstringOptionalformat: "uuid"
Filter Allocations by Site ID. Can be specified multiple times to filter on more than one Site ID.
idstringOptional
Filter Allocations by ID. Can be specified multiple times to filter on more than one ID.
resourceTypeenumOptional
Filter Allocations by Constraint Resource Type. Can be specified multiple times to filter on more than one Constraint Resource Type.
Allowed values:
statusstringOptional
Filter Allocations by Status. Can be specified multiple times to filter on more than one Status.
resourceTypeIdstringOptional
Filter Allocations by Constraint Resource Type ID. Can be specified multiple times to filter on more than one Constraint Resource Type ID.
constraintTypeenumOptional
Filter Allocations by Constraint Type. Can be specified multiple times to filter on more than one Constraint Type.
Allowed values:
constraintValueintegerOptional
Filter Allocations by Constraint Value. Can be specified multiple times to filter on more than one Constraint Value.
querystringOptional
Search for matches across all Allocations. Input will be matched against name, description, and status fields
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional>=1Defaults to 1
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-Paginationstring
Pagination result in JSON format

Response

OK
idstringRead-onlyformat: "uuid"
ID of the Allocation
namestring2-256 characters
Concise and descriptive name of the Allocation
descriptionstring or null
Detailed description of the Allocation
infrastructureProviderIdstringformat: "uuid"
ID of the Infrastructure Provider that created the Allocation
tenantIdstringformat: "uuid"
ID of the Tenant that received the Allocation
siteIdstringformat: "uuid"
ID of the Site where resources are allocated
statusenum
Status of the Allocation
statusHistorylist of objectsRead-only
Chronological status history for the Allocation
allocationConstraintslist of objects
List of Allocation Constraints for the Allocation
createddatetimeRead-only

Date/time when the Allocation was created

updateddatetimeRead-only

Date/time when the Allocation was last updated

Errors

403
Forbidden Error